import torch

torch._dynamo.config.disable = True

default_tensor_repr = torch.Tensor.__repr__


def custom_tensor_repr(self: torch.Tensor) -> str:
    return f"{list(self.shape)}, {default_tensor_repr(self)}"


torch.Tensor.__repr__ = custom_tensor_repr  # type: ignore
